<?php

add_action('init','of_options');

if (!function_exists('of_options'))
{
	function of_options()
	{
		//Access the WordPress Categories via an Array
		$of_categories 		= array();  
		$of_categories_obj 	= get_categories('hide_empty=0');
		foreach ($of_categories_obj as $of_cat) {
		    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
		$categories_tmp 	= array_unshift($of_categories, "Select a category:");    
	       
		//Access the WordPress Pages via an Array
		$of_pages 			= array();
		$of_pages_obj 		= get_pages('sort_column=post_parent,menu_order');    
		foreach ($of_pages_obj as $of_page) {
		    $of_pages[$of_page->ID] = $of_page->post_name; }
		$of_pages_tmp 		= array_unshift($of_pages, "Select a page:");       

		//Access the WordPress Post via an Array
		$of_posts = array();
		$of_posts_obj = get_posts('numberposts=30' );    
		foreach ($of_posts_obj as $of_page) {
			$of_posts[$of_page->ID] = $of_page->post_title;  }
		$of_posts_tmp = array_unshift($of_posts, "Select a post:"); 
	
		//Testing 
		$of_options_select 	= array("one","two","three","four","five"); 
//		$of_options_radio 	= array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five");
		
		//Sample Homepage blocks for the layout manager (sorter)
		$of_options_homepage_blocks = array
		( 
			"disabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_one"		=> "Block One",
				"block_two"		=> "Block Two",
				"block_three"	=> "Block Three",
			), 
			"enabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_four"	=> "Block Four",
			),
		);


		//Stylesheets Reader
		$alt_stylesheet_path = LAYOUT_PATH;
		$alt_stylesheets = array();
		
		if ( is_dir($alt_stylesheet_path) ) 
		{
		    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) 
		    { 
		        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) 
		        {
		            if(stristr($alt_stylesheet_file, ".css") !== false)
		            {
		                $alt_stylesheets[] = $alt_stylesheet_file;
		            }
		        }    
		    }
		}


		//Background Images Reader
		$bg_images_path = STYLESHEETPATH. '/images/bg/'; // change this to where you store your bg images
		$bg_images_url = get_bloginfo('template_url').'/images/bg/'; // change this to where you store your bg images
		$bg_images = array();
		
		if ( is_dir($bg_images_path) ) {
		    if ($bg_images_dir = opendir($bg_images_path) ) { 
		        while ( ($bg_images_file = readdir($bg_images_dir)) !== false ) {
		            if(stristr($bg_images_file, ".png") !== false || stristr($bg_images_file, ".jpg") !== false) {
		                $bg_images[] = $bg_images_url . $bg_images_file;
		            }
		        }    
		    }
		}
		

		/*-----------------------------------------------------------------------------------*/
		/* TO DO: Add options/functions that use these */
		/*-----------------------------------------------------------------------------------*/

	$google_fonts = array(
							"0" => "Select Font",
							"Abel" => "Abel",
							"Abril Fatface" => "Abril Fatface",
							"Aclonica" => "Aclonica",
							"Acme" => "Acme",
							"Actor" => "Actor",
							"Adamina" => "Adamina",
							"Advent Pro" => "Advent Pro",
							"Aguafina Script" => "Aguafina Script",
							"Aladin" => "Aladin",
							"Aldrich" => "Aldrich",
							"Alegreya" => "Alegreya",
							"Alegreya SC" => "Alegreya SC",
							"Alex Brush" => "Alex Brush",
							"Alfa Slab One" => "Alfa Slab One",
							"Alice" => "Alice",
							"Alike" => "Alike",
							"Alike Angular" => "Alike Angular",
							"Allan" => "Allan",
							"Allerta" => "Allerta",
							"Allerta Stencil" => "Allerta Stencil",
							"Allura" => "Allura",
							"Almendra" => "Almendra",
							"Almendra SC" => "Almendra SC",
							"Amaranth" => "Amaranth",
							"Amatic SC" => "Amatic SC",
							"Amethysta" => "Amethysta",
							"Andada" => "Andada",
							"Andika" => "Andika",
							"Angkor" => "Angkor",
							"Annie Use Your Telescope" => "Annie Use Your Telescope",
							"Anonymous Pro" => "Anonymous Pro",
							"Antic" => "Antic",
							"Antic Didone" => "Antic Didone",
							"Antic Slab" => "Antic Slab",
							"Anton" => "Anton",
							"Arapey" => "Arapey",
							"Arbutus" => "Arbutus",
							"Architects Daughter" => "Architects Daughter",
							"Arimo" => "Arimo",
							"Arizonia" => "Arizonia",
							"Armata" => "Armata",
							"Artifika" => "Artifika",
							"Arvo" => "Arvo",
							"Asap" => "Asap",
							"Asset" => "Asset",
							"Astloch" => "Astloch",
							"Asul" => "Asul",
							"Atomic Age" => "Atomic Age",
							"Aubrey" => "Aubrey",
							"Audiowide" => "Audiowide",
							"Average" => "Average",
							"Averia Gruesa Libre" => "Averia Gruesa Libre",
							"Averia Libre" => "Averia Libre",
							"Averia Sans Libre" => "Averia Sans Libre",
							"Averia Serif Libre" => "Averia Serif Libre",
							"Bad Script" => "Bad Script",
							"Balthazar" => "Balthazar",
							"Bangers" => "Bangers",
							"Basic" => "Basic",
							"Battambang" => "Battambang",
							"Baumans" => "Baumans",
							"Bayon" => "Bayon",
							"Belgrano" => "Belgrano",
							"Belleza" => "Belleza",
							"Bentham" => "Bentham",
							"Berkshire Swash" => "Berkshire Swash",
							"Bevan" => "Bevan",
							"Bigshot One" => "Bigshot One",
							"Bilbo" => "Bilbo",
							"Bilbo Swash Caps" => "Bilbo Swash Caps",
							"Bitter" => "Bitter",
							"Black Ops One" => "Black Ops One",
							"Bokor" => "Bokor",
							"Bonbon" => "Bonbon",
							"Boogaloo" => "Boogaloo",
							"Bowlby One" => "Bowlby One",
							"Bowlby One SC" => "Bowlby One SC",
							"Brawler" => "Brawler",
							"Bree Serif" => "Bree Serif",
							"Bubblegum Sans" => "Bubblegum Sans",
							"Buda" => "Buda",
							"Buenard" => "Buenard",
							"Butcherman" => "Butcherman",
							"Butterfly Kids" => "Butterfly Kids",
							"Cabin" => "Cabin",
							"Cabin Condensed" => "Cabin Condensed",
							"Cabin Sketch" => "Cabin Sketch",
							"Caesar Dressing" => "Caesar Dressing",
							"Cagliostro" => "Cagliostro",
							"Calligraffitti" => "Calligraffitti",
							"Cambo" => "Cambo",
							"Candal" => "Candal",
							"Cantarell" => "Cantarell",
							"Cantata One" => "Cantata One",
							"Cardo" => "Cardo",
							"Carme" => "Carme",
							"Carter One" => "Carter One",
							"Caudex" => "Caudex",
							"Cedarville Cursive" => "Cedarville Cursive",
							"Ceviche One" => "Ceviche One",
							"Changa One" => "Changa One",
							"Chango" => "Chango",
							"Chau Philomene One" => "Chau Philomene One",
							"Chelsea Market" => "Chelsea Market",
							"Chenla" => "Chenla",
							"Cherry Cream Soda" => "Cherry Cream Soda",
							"Chewy" => "Chewy",
							"Chicle" => "Chicle",
							"Chivo" => "Chivo",
							"Coda" => "Coda",
							"Coda Caption" => "Coda Caption",
							"Codystar" => "Codystar",
							"Comfortaa" => "Comfortaa",
							"Coming Soon" => "Coming Soon",
							"Concert One" => "Concert One",
							"Condiment" => "Condiment",
							"Content" => "Content",
							"Contrail One" => "Contrail One",
							"Convergence" => "Convergence",
							"Cookie" => "Cookie",
							"Copse" => "Copse",
							"Corben" => "Corben",
							"Cousine" => "Cousine",
							"Coustard" => "Coustard",
							"Covered By Your Grace" => "Covered By Your Grace",
							"Crafty Girls" => "Crafty Girls",
							"Creepster" => "Creepster",
							"Crete Round" => "Crete Round",
							"Crimson Text" => "Crimson Text",
							"Crushed" => "Crushed",
							"Cuprum" => "Cuprum",
							"Cutive" => "Cutive",
							"Damion" => "Damion",
							"Dancing Script" => "Dancing Script",
							"Dangrek" => "Dangrek",
							"Dawning of a New Day" => "Dawning of a New Day",
							"Days One" => "Days One",
							"Delius" => "Delius",
							"Delius Swash Caps" => "Delius Swash Caps",
							"Delius Unicase" => "Delius Unicase",
							"Della Respira" => "Della Respira",
							"Devonshire" => "Devonshire",
							"Didact Gothic" => "Didact Gothic",
							"Diplomata" => "Diplomata",
							"Diplomata SC" => "Diplomata SC",
							"Doppio One" => "Doppio One",
							"Dorsa" => "Dorsa",
							"Dosis" => "Dosis",
							"Dr Sugiyama" => "Dr Sugiyama",
							"Droid Sans" => "Droid Sans",
							"Droid Sans Mono" => "Droid Sans Mono",
							"Droid Serif" => "Droid Serif",
							"Duru Sans" => "Duru Sans",
							"Dynalight" => "Dynalight",
							"EB Garamond" => "EB Garamond",
							"Eater" => "Eater",
							"Economica" => "Economica",
							"Electrolize" => "Electrolize",
							"Emblema One" => "Emblema One",
							"Emilys Candy" => "Emilys Candy",
							"Engagement" => "Engagement",
							"Enriqueta" => "Enriqueta",
							"Erica One" => "Erica One",
							"Esteban" => "Esteban",
							"Euphoria Script" => "Euphoria Script",
							"Ewert" => "Ewert",
							"Exo" => "Exo",
							"Expletus Sans" => "Expletus Sans",
							"Fanwood Text" => "Fanwood Text",
							"Fascinate" => "Fascinate",
							"Fascinate Inline" => "Fascinate Inline",
							"Federant" => "Federant",
							"Federo" => "Federo",
							"Felipa" => "Felipa",
							"Fjord One" => "Fjord One",
							"Flamenco" => "Flamenco",
							"Flavors" => "Flavors",
							"Fondamento" => "Fondamento",
							"Fontdiner Swanky" => "Fontdiner Swanky",
							"Forum" => "Forum",
							"Francois One" => "Francois One",
							"Fredericka the Great" => "Fredericka the Great",
							"Fredoka One" => "Fredoka One",
							"Freehand" => "Freehand",
							"Fresca" => "Fresca",
							"Frijole" => "Frijole",
							"Fugaz One" => "Fugaz One",
							"GFS Didot" => "GFS Didot",
							"GFS Neohellenic" => "GFS Neohellenic",
							"Galdeano" => "Galdeano",
							"Gentium Basic" => "Gentium Basic",
							"Gentium Book Basic" => "Gentium Book Basic",
							"Geo" => "Geo",
							"Geostar" => "Geostar",
							"Geostar Fill" => "Geostar Fill",
							"Germania One" => "Germania One",
							"Give You Glory" => "Give You Glory",
							"Glass Antiqua" => "Glass Antiqua",
							"Glegoo" => "Glegoo",
							"Gloria Hallelujah" => "Gloria Hallelujah",
							"Goblin One" => "Goblin One",
							"Gochi Hand" => "Gochi Hand",
							"Gorditas" => "Gorditas",
							"Goudy Bookletter 1911" => "Goudy Bookletter 1911",
							"Graduate" => "Graduate",
							"Gravitas One" => "Gravitas One",
							"Great Vibes" => "Great Vibes",
							"Gruppo" => "Gruppo",
							"Gudea" => "Gudea",
							"Habibi" => "Habibi",
							"Hammersmith One" => "Hammersmith One",
							"Handlee" => "Handlee",
							"Hanuman" => "Hanuman",
							"Happy Monkey" => "Happy Monkey",
							"Henny Penny" => "Henny Penny",
							"Herr Von Muellerhoff" => "Herr Von Muellerhoff",
							"Holtwood One SC" => "Holtwood One SC",
							"Homemade Apple" => "Homemade Apple",
							"Homenaje" => "Homenaje",
							"IM Fell DW Pica" => "IM Fell DW Pica",
							"IM Fell DW Pica SC" => "IM Fell DW Pica SC",
							"IM Fell Double Pica" => "IM Fell Double Pica",
							"IM Fell Double Pica SC" => "IM Fell Double Pica SC",
							"IM Fell English" => "IM Fell English",
							"IM Fell English SC" => "IM Fell English SC",
							"IM Fell French Canon" => "IM Fell French Canon",
							"IM Fell French Canon SC" => "IM Fell French Canon SC",
							"IM Fell Great Primer" => "IM Fell Great Primer",
							"IM Fell Great Primer SC" => "IM Fell Great Primer SC",
							"Iceberg" => "Iceberg",
							"Iceland" => "Iceland",
							"Imprima" => "Imprima",
							"Inconsolata" => "Inconsolata",
							"Inder" => "Inder",
							"Indie Flower" => "Indie Flower",
							"Inika" => "Inika",
							"Irish Grover" => "Irish Grover",
							"Istok Web" => "Istok Web",
							"Italiana" => "Italiana",
							"Italianno" => "Italianno",
							"Jim Nightshade" => "Jim Nightshade",
							"Jockey One" => "Jockey One",
							"Jolly Lodger" => "Jolly Lodger",
							"Josefin Sans" => "Josefin Sans",
							"Josefin Slab" => "Josefin Slab",
							"Judson" => "Judson",
							"Julee" => "Julee",
							"Junge" => "Junge",
							"Jura" => "Jura",
							"Just Another Hand" => "Just Another Hand",
							"Just Me Again Down Here" => "Just Me Again Down Here",
							"Kameron" => "Kameron",
							"Karla" => "Karla",
							"Kaushan Script" => "Kaushan Script",
							"Kelly Slab" => "Kelly Slab",
							"Kenia" => "Kenia",
							"Khmer" => "Khmer",
							"Knewave" => "Knewave",
							"Kotta One" => "Kotta One",
							"Koulen" => "Koulen",
							"Kranky" => "Kranky",
							"Kreon" => "Kreon",
							"Kristi" => "Kristi",
							"Krona One" => "Krona One",
							"La Belle Aurore" => "La Belle Aurore",
							"Lancelot" => "Lancelot",
							"Lato" => "Lato",
							"League Script" => "League Script",
							"Leckerli One" => "Leckerli One",
							"Ledger" => "Ledger",
							"Lekton" => "Lekton",
							"Lemon" => "Lemon",
							"Lilita One" => "Lilita One",
							"Limelight" => "Limelight",
							"Linden Hill" => "Linden Hill",
							"Lobster" => "Lobster",
							"Lobster Two" => "Lobster Two",
							"Londrina Outline" => "Londrina Outline",
							"Londrina Shadow" => "Londrina Shadow",
							"Londrina Sketch" => "Londrina Sketch",
							"Londrina Solid" => "Londrina Solid",
							"Lora" => "Lora",
							"Love Ya Like A Sister" => "Love Ya Like A Sister",
							"Loved by the King" => "Loved by the King",
							"Lovers Quarrel" => "Lovers Quarrel",
							"Luckiest Guy" => "Luckiest Guy",
							"Lusitana" => "Lusitana",
							"Lustria" => "Lustria",
							"Macondo" => "Macondo",
							"Macondo Swash Caps" => "Macondo Swash Caps",
							"Magra" => "Magra",
							"Maiden Orange" => "Maiden Orange",
							"Mako" => "Mako",
							"Marck Script" => "Marck Script",
							"Marko One" => "Marko One",
							"Marmelad" => "Marmelad",
							"Marvel" => "Marvel",
							"Mate" => "Mate",
							"Mate SC" => "Mate SC",
							"Maven Pro" => "Maven Pro",
							"Meddon" => "Meddon",
							"MedievalSharp" => "MedievalSharp",
							"Medula One" => "Medula One",
							"Megrim" => "Megrim",
							"Merienda One" => "Merienda One",
							"Merriweather" => "Merriweather",
							"Metal" => "Metal",
							"Metamorphous" => "Metamorphous",
							"Metrophobic" => "Metrophobic",
							"Michroma" => "Michroma",
							"Miltonian" => "Miltonian",
							"Miltonian Tattoo" => "Miltonian Tattoo",
							"Miniver" => "Miniver",
							"Miss Fajardose" => "Miss Fajardose",
							"Modern Antiqua" => "Modern Antiqua",
							"Molengo" => "Molengo",
							"Monofett" => "Monofett",
							"Monoton" => "Monoton",
							"Monsieur La Doulaise" => "Monsieur La Doulaise",
							"Montaga" => "Montaga",
							"Montez" => "Montez",
							"Montserrat" => "Montserrat",
							"Moul" => "Moul",
							"Moulpali" => "Moulpali",
							"Mountains of Christmas" => "Mountains of Christmas",
							"Mr Bedfort" => "Mr Bedfort",
							"Mr Dafoe" => "Mr Dafoe",
							"Mr De Haviland" => "Mr De Haviland",
							"Mrs Saint Delafield" => "Mrs Saint Delafield",
							"Mrs Sheppards" => "Mrs Sheppards",
							"Muli" => "Muli",
							"Mystery Quest" => "Mystery Quest",
							"Neucha" => "Neucha",
							"Neuton" => "Neuton",
							"News Cycle" => "News Cycle",
							"Niconne" => "Niconne",
							"Nixie One" => "Nixie One",
							"Nobile" => "Nobile",
							"Nokora" => "Nokora",
							"Norican" => "Norican",
							"Nosifer" => "Nosifer",
							"Nothing You Could Do" => "Nothing You Could Do",
							"Noticia Text" => "Noticia Text",
							"Nova Cut" => "Nova Cut",
							"Nova Flat" => "Nova Flat",
							"Nova Mono" => "Nova Mono",
							"Nova Oval" => "Nova Oval",
							"Nova Round" => "Nova Round",
							"Nova Script" => "Nova Script",
							"Nova Slim" => "Nova Slim",
							"Nova Square" => "Nova Square",
							"Numans" => "Numans",
							"Nunito" => "Nunito",
							"Odor Mean Chey" => "Odor Mean Chey",
							"Old Standard TT" => "Old Standard TT",
							"Oldenburg" => "Oldenburg",
							"Oleo Script" => "Oleo Script",
							"Open Sans" => "Open Sans",
							"Open Sans Condensed" => "Open Sans Condensed",
							"Orbitron" => "Orbitron",
							"Original Surfer" => "Original Surfer",
							"Oswald" => "Oswald",
							"Over the Rainbow" => "Over the Rainbow",
							"Overlock" => "Overlock",
							"Overlock SC" => "Overlock SC",
							"Ovo" => "Ovo",
							"Oxygen" => "Oxygen",
							"PT Mono" => "PT Mono",
							"PT Sans" => "PT Sans",
							"PT Sans Caption" => "PT Sans Caption",
							"PT Sans Narrow" => "PT Sans Narrow",
							"PT Serif" => "PT Serif",
							"PT Serif Caption" => "PT Serif Caption",
							"Pacifico" => "Pacifico",
							"Parisienne" => "Parisienne",
							"Passero One" => "Passero One",
							"Passion One" => "Passion One",
							"Patrick Hand" => "Patrick Hand",
							"Patua One" => "Patua One",
							"Paytone One" => "Paytone One",
							"Permanent Marker" => "Permanent Marker",
							"Petrona" => "Petrona",
							"Philosopher" => "Philosopher",
							"Piedra" => "Piedra",
							"Pinyon Script" => "Pinyon Script",
							"Plaster" => "Plaster",
							"Play" => "Play",
							"Playball" => "Playball",
							"Playfair Display" => "Playfair Display",
							"Podkova" => "Podkova",
							"Poiret One" => "Poiret One",
							"Poller One" => "Poller One",
							"Poly" => "Poly",
							"Pompiere" => "Pompiere",
							"Pontano Sans" => "Pontano Sans",
							"Port Lligat Sans" => "Port Lligat Sans",
							"Port Lligat Slab" => "Port Lligat Slab",
							"Prata" => "Prata",
							"Preahvihear" => "Preahvihear",
							"Press Start 2P" => "Press Start 2P",
							"Princess Sofia" => "Princess Sofia",
							"Prociono" => "Prociono",
							"Prosto One" => "Prosto One",
							"Puritan" => "Puritan",
							"Quantico" => "Quantico",
							"Quattrocento" => "Quattrocento",
							"Quattrocento Sans" => "Quattrocento Sans",
							"Questrial" => "Questrial",
							"Quicksand" => "Quicksand",
							"Qwigley" => "Qwigley",
							"Radley" => "Radley",
							"Raleway" => "Raleway",
							"Rammetto One" => "Rammetto One",
							"Rancho" => "Rancho",
							"Rationale" => "Rationale",
							"Redressed" => "Redressed",
							"Reenie Beanie" => "Reenie Beanie",
							"Revalia" => "Revalia",
							"Ribeye" => "Ribeye",
							"Ribeye Marrow" => "Ribeye Marrow",
							"Righteous" => "Righteous",
							"Rochester" => "Rochester",
							"Rock Salt" => "Rock Salt",
							"Rokkitt" => "Rokkitt",
							"Ropa Sans" => "Ropa Sans",
							"Rosario" => "Rosario",
							"Rosarivo" => "Rosarivo",
							"Rouge Script" => "Rouge Script",
							"Ruda" => "Ruda",
							"Ruge Boogie" => "Ruge Boogie",
							"Ruluko" => "Ruluko",
							"Ruslan Display" => "Ruslan Display",
							"Russo One" => "Russo One",
							"Ruthie" => "Ruthie",
							"Sail" => "Sail",
							"Salsa" => "Salsa",
							"Sancreek" => "Sancreek",
							"Sansita One" => "Sansita One",
							"Sarina" => "Sarina",
							"Satisfy" => "Satisfy",
							"Schoolbell" => "Schoolbell",
							"Seaweed Script" => "Seaweed Script",
							"Sevillana" => "Sevillana",
							"Shadows Into Light" => "Shadows Into Light",
							"Shadows Into Light Two" => "Shadows Into Light Two",
							"Shanti" => "Shanti",
							"Share" => "Share",
							"Shojumaru" => "Shojumaru",
							"Short Stack" => "Short Stack",
							"Siemreap" => "Siemreap",
							"Sigmar One" => "Sigmar One",
							"Signika" => "Signika",
							"Signika Negative" => "Signika Negative",
							"Simonetta" => "Simonetta",
							"Sirin Stencil" => "Sirin Stencil",
							"Six Caps" => "Six Caps",
							"Slackey" => "Slackey",
							"Smokum" => "Smokum",
							"Smythe" => "Smythe",
							"Sniglet" => "Sniglet",
							"Snippet" => "Snippet",
							"Sofia" => "Sofia",
							"Sonsie One" => "Sonsie One",
							"Sorts Mill Goudy" => "Sorts Mill Goudy",
							"Special Elite" => "Special Elite",
							"Spicy Rice" => "Spicy Rice",
							"Spinnaker" => "Spinnaker",
							"Spirax" => "Spirax",
							"Squada One" => "Squada One",
							"Stardos Stencil" => "Stardos Stencil",
							"Stint Ultra Condensed" => "Stint Ultra Condensed",
							"Stint Ultra Expanded" => "Stint Ultra Expanded",
							"Stoke" => "Stoke",
							"Sue Ellen Francisco" => "Sue Ellen Francisco",
							"Sunshiney" => "Sunshiney",
							"Supermercado One" => "Supermercado One",
							"Suwannaphum" => "Suwannaphum",
							"Swanky and Moo Moo" => "Swanky and Moo Moo",
							"Syncopate" => "Syncopate",
							"Tangerine" => "Tangerine",
							"Taprom" => "Taprom",
							"Telex" => "Telex",
							"Tenor Sans" => "Tenor Sans",
							"The Girl Next Door" => "The Girl Next Door",
							"Tienne" => "Tienne",
							"Tinos" => "Tinos",
							"Titan One" => "Titan One",
							"Trade Winds" => "Trade Winds",
							"Trocchi" => "Trocchi",
							"Trochut" => "Trochut",
							"Trykker" => "Trykker",
							"Tulpen One" => "Tulpen One",
							"Ubuntu" => "Ubuntu",
							"Ubuntu Condensed" => "Ubuntu Condensed",
							"Ubuntu Mono" => "Ubuntu Mono",
							"Ultra" => "Ultra",
							"Uncial Antiqua" => "Uncial Antiqua",
							"UnifrakturCook" => "UnifrakturCook",
							"UnifrakturMaguntia" => "UnifrakturMaguntia",
							"Unkempt" => "Unkempt",
							"Unlock" => "Unlock",
							"Unna" => "Unna",
							"VT323" => "VT323",
							"Varela" => "Varela",
							"Varela Round" => "Varela Round",
							"Vast Shadow" => "Vast Shadow",
							"Vibur" => "Vibur",
							"Vidaloka" => "Vidaloka",
							"Viga" => "Viga",
							"Voces" => "Voces",
							"Volkhov" => "Volkhov",
							"Vollkorn" => "Vollkorn",
							"Voltaire" => "Voltaire",
							"Waiting for the Sunrise" => "Waiting for the Sunrise",
							"Wallpoet" => "Wallpoet",
							"Walter Turncoat" => "Walter Turncoat",
							"Wellfleet" => "Wellfleet",
							"Wire One" => "Wire One",
							"Yanone Kaffeesatz" => "Yanone Kaffeesatz",
							"Yellowtail" => "Yellowtail",
							"Yeseva One" => "Yeseva One",
							"Yesteryear" => "Yesteryear",
							"Zeyada" => "Zeyada",
						);
								
		//More Options
		$uploads_arr 		= wp_upload_dir();
		$all_uploads_path 	= $uploads_arr['path'];
		$all_uploads 		= get_option('of_uploads');
		$other_entries 		= array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
		$body_repeat 		= array("no-repeat","repeat-x","repeat-y","repeat");
		$body_pos 			= array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");
    $of_options_number = array("1"=>"1","2"=>"2","3"=>"3","4"=>"4","5"=>"5","6"=>"6","7"=>"7","8"=>"8","9"=>"9","10"=>"10");
    $of_options_repeat = array("no-repeat" => "No repeat","repeat" => "Repeat","repeat-x" => "Repeat X","repeat-y" => "Repeat Y");
    $font_sizes = array('10' => '10','11' => '11','12' => '12','13' => '13','14' => '14','15' => '15','16' => '16','17' => '17','18' => '18','19' => '19','20' => '20','21' => '21','22' => '22','23' => '23','24' => '24','25' => '25','26' => '26','27' => '27','28' => '28','29' => '29','30' => '30','31' => '31','32' => '32','33' => '33','34' => '34','35' => '35','36' => '36','37' => '37','38' => '38','39' => '39','40' => '40','41' => '41','42' => '42');
    $of_options_slider = array("slider1.php" => "Full Width","slider2.php" => "Standard Slider","slider3.php" => "Kwick Slider","slider4.php" => "Elastic Slider","slider5.php" => "Sequence Slider");
    $of_options_skin = array("default" => "Default","blue" => "Blue","brown" => "Brown","darkgreen" => "Dark Green","grey" => "Grey","limegreen" => "Lime Green", "orange" => "Orange","pink" => "Pink","purple" => "Purple", "red" => "Red", "turqoise" => "Turquoise"); 
$my_options_repeat = array("no-repeat" => "No repeat","repeat" => "Repeat","repeat-x" => "Repeat X","repeat-y" => "Repeat Y");	
		// Image Alignment radio box
		$of_options_thumb_align = array("alignleft" => "Left","alignright" => "Right","aligncenter" => "Center"); 
		
		// Image Links to Options
		$of_options_image_link_to = array("image" => "The Image","post" => "The Post"); 
    $of_options_number1 = array("0"=>"0","1"=>"1","2"=>"2","3"=>"3","4"=>"4","5"=>"5","6"=>"6","7"=>"7","8"=>"8","9"=>"9","10"=>"10","11"=>"11","12"=>"12","13"=>"13","14"=>"14","15"=>"15","16"=>"16","17"=>"17","18"=>"18","19"=>"19","20"=>"20",);

	$sidebar_location = array("left"=>"left","right"=>"right");
	
// Image Links to Options

$my_options_image_link_to = array("image" => "The Image","post" => "The Post"); 

$my_options_radio = array("" => "Default","black" => "Black","blue" => "Blue","gray" => "Gray","limegreen" => "Lime Green","orange" => "Orange", "pink" => "Pink", "purple" => "Purple", "rasberry" => "Rasberry", "turquoise" => "Turquoise"); 
$my_options_number = array("1"=>"1","2"=>"2","3"=>"3","4"=>"4","5"=>"5","6"=>"6","7"=>"7","8"=>"8","9"=>"9","10"=>"10");
	
$my_options_slider = array("slider1.php" => "Right Sidebar","slider2.php" => "Nivo Slider","slider3.php" => "Gallery Slider");
$my_options_skin = array("default" => "Default","red" => "Red"); 
$my_options_number = array("1"=>"1","2"=>"2","3"=>"3","4"=>"4","5"=>"5","6"=>"6","7"=>"7","8"=>"8","9"=>"9","10"=>"10");
$my_options_number1 = array("0"=>"0","1"=>"1","2"=>"2","3"=>"3","4"=>"4","5"=>"5","6"=>"6","7"=>"7","8"=>"8","9"=>"9","10"=>"10","11"=>"11","12"=>"12","13"=>"13","14"=>"14","15"=>"15","16"=>"16","17"=>"17","18"=>"18","19"=>"19","20"=>"20",);

$my_options_slider = array("slider1.php" => "Full Width","slider2.php" => "Standard Slider","slider4.php" => "Elastic Slider","slider5.php" => "Sequence Slider");
		
/*-----------------------------------------------------------------------------------*/
/* The Options Array */
/*-----------------------------------------------------------------------------------*/

// Set the Options Array
global $of_options;
$of_options = array();





$of_options[] = array( "name" => "General Settings",

                    "type" => "heading");

					

$of_options[] = array( "name" => "Custom Logo",
					"desc" => "Upload a logo for your theme.",
					"id" => "logo",
					"std" => "",
					"mod" => "min",
					"type" => "media");
					

$of_options[] = array( "name" => "Custom Favicon",
					"desc" => "Upload a 16px x 16px Png/Gif image that will represent your website's favicon.",
					"id" => "custom_favicon",
					"std" => "",
					"mod" => "min",
					"type" => "media");

$of_options[] = array( "name" => "Apple iPhone Icon Upload",
					"desc" => "Icon for Apple iPhone (57px x 57px)",
					"id" => "iphone_icon",
					"std" => "",
					"mod" => "min",
					"type" => "media");

$of_options[] = array( "name" => "Apple iPhone Retina Icon Upload",
					"desc" => "Icon for Apple iPhone Retina Version (114px x 114px)",
					"id" => "iphone_icon_retina",
					"std" => "",
					"mod" => "min",
					"type" => "media");

$of_options[] = array( "name" => "Apple iPad Icon Upload",
					"desc" => "Icon for Apple iPhone (72px x 72px)",
					"id" => "ipad_icon",
					"std" => "",
					"mod" => "min",
					"type" => "media");

$of_options[] = array( "name" => "Apple iPad Retina Icon Upload",
					"desc" => "Icon for Apple iPad Retina Version (144px x 144px)",
					"id" => "ipad_icon_retina",
					"std" => "",
					"mod" => "min",
					"type" => "media");
					
$url =   get_template_directory_uri() . '/images/';					
$of_options[] = array( "name" => "Main Layout",
					"desc" => "Select main content and sidebar alignment. Choose between 2 or 3 column layout.",
					"id" => "layout",
					"std" => "right.css",
					"type" => "images",
					"options" => array(
						'right.css' => $url . '2cr.png',
						'left.css' => $url . '2cl.png')
					);

					


$of_options[] = array( "name" => "Select Number Custom Widget",
					"desc" => "Number custom widget.",
					"id" => "theme-customwidget",
					"std" => "0",
					"type" => "select2",
					"options" => $my_options_number1);
					

$of_options[] = array( "name" => "Show Title on Page",
					"desc" => "Please check this to show title effects on all pages.",
					"id" => "theme-checktitlepage",
						"std" 		=> 1,
						"type" 		=> "switch"); 

$of_options[] = array( "name" => "Show Title on Post",
					"desc" => "Please check this to show title effects on all pages.",
					"id" => "theme-checktitlepost",
						"std" 		=> 1,
						"type" 		=> "switch"); 
																									
$of_options[] = array( "name" => "Show Comments Post",
					"desc" => "Please check this to show comments and comment form, effects on all posts.",
					"id" => "theme-checkcommentpost",
						"std" 		=> 1,
						"type" 		=> "switch"); 
					
$of_options[] = array( "name" => "Show Comments Page",
					"desc" => "Please check this to show comments and comment form, effects on all pages.",
					"id" => "theme-checkcommentpage",
						"std" 		=> 0,
						"type" 		=> "switch"); 					

$of_options[] = array( "name" => "Show Related Posts",
					"desc" => "Please check this to show related posts.",
					"id" => "theme-checkrelatedpost",
						"std" 		=> 1,
						"folds"		=> 1,						
						"type" 		=> "switch"); 

$of_options[] = array( "name" => "Number of Related Posts",
					"desc" => "Enter the number of Related Posts to be displayed. Please only enter number.",
					"id" => "theme-numberrelatedpost",
					"std" => "3",
					"fold" 		=> "theme-checkrelatedpost",					
					"type" 		=> "select2",
					"options" => $my_options_number);

					                                               

$of_options[] = array( "name" => "Tracking Code",

					"desc" => "Paste your Google Analytics (or other) tracking code here. This will be added into the footer template of your theme.",

					"id" => "google_analytics",

					"std" => "",

					"type" => "textarea");        





$of_options[] = array( "name" => "Footer Text",

                    "desc" => "You can use the following shortcodes in your footer text: [wp-link] [theme-link] [loginout-link] [blog-title] [blog-link] [the-year]",

                    "id" => "footer_text",

                    "std" => "&copy 2012 Celeste Theme. All rights reserved.",

                    "type" => "textarea");                                                          

    

$of_options[] = array( "name" => "Styling Options",

					"type" => "heading");


$of_options[] = array( "name" => "Body Font",
					"desc" => "Specify the body font properties",
					"id" => "body_font",
					"std" => array('size' => '12px','face' => 'arial','style' => 'normal','color' => '#8e8e8e'),
					"type" => "typography");  				

$of_options[] = array( "name" => "H1 H2 H3 H4 H5 Font",
					"desc" => "Specify the title font properties",
					"id" => "title_font",
					"std" => "Raleway",					
					"type" => "select2",
					"options" => $google_fonts);
																											

$of_options[] = array( "name" => "Background Color",

					"desc" => "Specify background color.",

					"id" => "theme-background",

					"std" => "#ffffff",

					"type" => "color"); 



$of_options[] = array( "name" => "Background Image",

					"desc" => "Upload a image for background",

					"id" => "theme-bg",

					"std" => "",

					"type" => "upload");   



$of_options[] = array( "name" => "Backround Image style",

					"desc" => "Style for image background (work if image upload!)",

					"id" => "theme-bgrepeat",

					"std" => "no-repeat",

					"type" => "select2",

					"options" => $my_options_repeat);



$of_options[] = array( "name" => "Navigation Background Color",

					"desc" => "Specify background color.",

					"id" => "theme-nav-background",

					"std" => "#9d9d9d",

					"type" => "color"); 



$of_options[] = array( "name" => "Link Navigation Color",

					"desc" => "Choose your preferred color for the link.",

					"id" => "theme-navlinkcolor",

					"std" => "#ffffff",

					"type" => "color"); 

					

$of_options[] = array( "name" => "Link Navigation Selected Color",

					"desc" => "Choose your preferred color for the hover link.",

					"id" => "theme-navlinkhovercolor",

					"std" => "#333333",

					"type" => "color"); 

						

$of_options[] = array( "name" => "2nd Navigation Background Color",

					"desc" => "Specify background color.",

					"id" => "theme-nav2-background",

					"std" => "#eeeeee",

					"type" => "color"); 



$of_options[] = array( "name" => "2nd Link Navigation Color",

					"desc" => "Choose your preferred color for the link.",

					"id" => "theme-nav2linkcolor",

					"std" => "#000000",

					"type" => "color"); 

					

$of_options[] = array( "name" => "2nd Link Navigation Selected Color",

					"desc" => "Choose your preferred color for the hover link.",

					"id" => "theme-nav2linkhovercolor",

					"std" => "#333333",

					"type" => "color"); 

															

$of_options[] = array( "name" => "Footer Background Color",

					"desc" => "Specify background color.",

					"id" => "theme-footer-background",

					"std" => "#000000",

					"type" => "color"); 

										

$of_options[] = array( "name" => "Link Color",

					"desc" => "Choose your preferred color for the link.",

					"id" => "theme-linkcolor",

					"std" => "#5a8ea1",

					"type" => "color"); 

					

$of_options[] = array( "name" => "Link Hover Color",

					"desc" => "Choose your preferred color for the hover link.",

					"id" => "theme-linkhovercolor",

					"std" => "#f24024",

					"type" => "color"); 

													

$of_options[] = array( "name" => "Custom CSS",

                    "desc" => "Quickly add some CSS to your theme by adding it to this block.",

                    "id" => "custom_css",

                    "std" => "",

                    "type" => "textarea");


$of_options[] = array( "name" => "Typography Options",
					"type" => "heading"); 

$of_options[] = array( "name" => "Color for Title (h1,h2,h3,h4,h5)",
					"desc" => "Choose your preferred color for the link.",
					"id" => "theme-hcolor",
					"std" => "#000000",
					"type" => "color");
															
$of_options[] = array( "name" => "Link Color for Title (h1,h2,h3,h4,h5)",
					"desc" => "Choose your preferred color for the link.",
					"id" => "theme-hlinkcolor",
					"std" => "#cf0c0c",
					"type" => "color"); 
					
$of_options[] = array( "name" => "Link Hover Color for Title (h1,h2,h3,h4,h5)",
					"desc" => "Choose your preferred color for the hover link.",
					"id" => "theme-hlinkhovercolor",
					"std" => "#000000",
					"type" => "color"); 
					
$of_options[] = array( "name" => "Title Font Size H1 (px)",
					"desc" => "Default is 32",
					"id" => "font_size_h1",
					"std" => "32",
					"type" => "select",
					"options" => $font_sizes);

$of_options[] = array( "name" => "Title Font Size H2 (px)",
					"desc" => "Default is 24",
					"id" => "font_size_h2",
					"std" => "22",
					"type" => "select",
					"options" => $font_sizes);

$of_options[] = array( "name" => "Title Font Size H3 (px)",
					"desc" => "Default is 18",
					"id" => "font_size_h3",
					"std" => "18",
					"type" => "select",
					"options" => $font_sizes);

$of_options[] = array( "name" => "Title Font Size H4 (px)",
					"desc" => "Default is 14",
					"id" => "font_size_h4",
					"std" => "14",
					"type" => "select",
					"options" => $font_sizes);

$of_options[] = array( "name" => "Title Font Size H5 (px)",
					"desc" => "Default is 11",
					"id" => "font_size_h5",
					"std" => "12",
					"type" => "select",
					"options" => $font_sizes);
					
					
$of_options[] = array( "name" => "Homepage Option",

					"type" => "heading"); 



$bof_options[] = array( "name" => "Use News slider",

					"desc" => "Checked if use slider.",

					"id" => "cele-check-newsslider",

					"std" => true,

					"type" => "switch"); 



$bof_options[] = array( "name" => "Select a News Slider Category",

					"desc" => "A list of all the categories being used on slider bottom.",

					"id" => "cele-newsslider",

					"std" => "Select a category:",

					"type" => "select",

					"options" => $of_categories);

					

					

$bof_options[] = array( "name" => "Use image slider",

					"desc" => "Checked if use slider.",

					"id" => "cele-rotator",

					"std" => true,

					"type" => "switch"); 



$bof_options[] = array( "name" => "Select Slider",

					"desc" => "Slider select box.",

					"id" => "cele-slider",

					"std" => "slider1.php",

					"type" => "select2",

					"options" => $my_options_slider);

					
$of_options[] = array( "name" => "Use Image Slider",
					"desc" => "Checked if use slider.",
					"id" => "theme-rotator",
					"std" => 0,
					"folds"		=> 1,					
					"type" => "switch"); 
					
$of_options[] = array( "name" => "Select Slider",
					"desc" => "Slider select box.",
					"id" => "theme-slider",
					"std" => "slider2.php",
					"fold"		=> "theme-rotator",					
					"type" => "select2",
					"options" => $my_options_slider);
					
$of_options[] = array( "name" => "Use Slider Bottom",

					"desc" => "Checked if use slider.",

					"id" => "cele-check-sliderbottom",

					"std" => true,

					"type" => "switch"); 

					

$of_options[] = array( "name" => "Title for Slider Bottom",

					"desc" => "Enter text for title.",

					"id" => "cele-title-sliderbottom",

					"std" => "Best Materials",

					"type" => "text");



$of_options[] = array( "name" => "Select a Slider Bottom Category",

					"desc" => "A list of all the categories being used on slider bottom.",

					"id" => "cele-sliderbottom",

					"std" => "Select a category:",

					"type" => "select",

					"options" => $of_categories);

										

$of_options[] = array( "name" => "Title for Footer Widget",

					"desc" => "Enter text for title.",

					"id" => "cele-title-footerwidget",

					"std" => "Celeste Theme",

					"type" => "textarea");

															

$of_options[] = array( "name" => "Full Width Slider",
					"type" => "heading"); 

$of_options[] = array( 	"name" 		=> "Rotation Time (in mili seconds)",
						"desc" 		=> "Sequence Rotator Rotation Image.<br /> Min: 1000, max: 10000 in mili seconds",
						"id" 		=> "theme-wflexrotator-time",
						"std" 		=> "3000",
						"min" 		=> "1000",
						"step"		=> "1000",
						"max" 		=> "10000",
						"type" 		=> "sliderui");
						
$of_options[] = array( "name" => "Rotator Image I",
					"desc" => "Upload Image Rotator I (Please select one of the images or video)",
					"id" => "theme-wflexrotator-image1",
					"std" => "",
					"mod" => "min",
					"type" => "upload");
										
$of_options[] = array( "name" => "Text for Rotator Image I",
					"desc" => "Enter text for url image.",
					"id" => "theme-wflexrotator-textimage1",
					"std" => "",
					"type" => "textarea"); 
																											
$of_options[] = array( "name" => "Rotator Image II",
					"desc" => "Upload Image Rotator II (Please select one of the images or video)",
					"id" => "theme-wflexrotator-image2",
					"std" => "",
					"mod" => "min",
					"type" => "upload");
										
$of_options[] = array( "name" => "Text for Rotator Image II",
					"desc" => "Enter text for url image.",
					"id" => "theme-wflexrotator-textimage2",
					"std" => "",
					"type" => "textarea"); 
					
$of_options[] = array( "name" => "Rotator Image III",
					"desc" => "Upload Image Rotator III(Please select one of the images or video)",
					"id" => "theme-wflexrotator-image3",
					"std" => "",
					"mod" => "min",
					"type" => "upload");

										
$of_options[] = array( "name" => "Text for Rotator Image III",
					"desc" => "Enter text for url image.",
					"id" => "theme-wflexrotator-textimage3",
					"std" => "",
					"type" => "textarea"); 
					
$of_options[] = array( "name" => "Rotator Image IV",
					"desc" => "Upload Image Rotator IV (Please select one of the images or video)",
					"id" => "theme-wflexrotator-image4",
					"std" => "",
					"mod" => "min",
					"type" => "upload");

										
$of_options[] = array( "name" => "Text for Rotator Image IV",
					"desc" => "Enter text for url image.",
					"id" => "theme-wflexrotator-textimage4",
					"std" => "",
					"type" => "textarea"); 
					
$of_options[] = array( "name" => "Rotator Image V",
					"desc" => "Upload Image Rotator V (Please select one of the images or video)",
					"id" => "theme-wflexrotator-image5",
					"std" => "",
					"mod" => "min",
					"type" => "upload");

										
$of_options[] = array( "name" => "Text for Rotator Image V",
					"desc" => "Enter text for url image.",
					"id" => "theme-wflexrotator-textimage5",
					"std" => "",
					"type" => "textarea"); 
					
					
$of_options[] = array( "name" => "Standard Slider",
					"type" => "heading"); 

$of_options[] = array( 	"name" 		=> "Rotation Time (in mili seconds)",
						"desc" 		=> "Sequence Rotator Rotation Image.<br /> Min: 1000, max: 10000 in mili seconds",
						"id" 		=> "theme-flexrotator-time",
						"std" 		=> "3000",
						"min" 		=> "1000",
						"step"		=> "1000",
						"max" 		=> "10000",
						"type" 		=> "sliderui");
						
$of_options[] = array( "name" => "Rotator Image I",
					"desc" => "Upload Image Rotator I (Please select one of the images or video)",
					"id" => "theme-flexrotator-image1",
					"std" => "",
					"mod" => "min",
					"type" => "upload");

$of_options[] = array( "name" => "Rotator Video I",
					"desc" => "Enter script video. (Please select one of the images or video)",
					"id" => "theme-flexrotator-videoimage1",
					"std" => "",
					"type" => "textarea"); 
										
$of_options[] = array( "name" => "Text for Rotator Image I",
					"desc" => "Enter text for url image.",
					"id" => "theme-flexrotator-textimage1",
					"std" => "",
					"type" => "textarea"); 
																											
$of_options[] = array( "name" => "Rotator Image II",
					"desc" => "Upload Image Rotator II (Please select one of the images or video)",
					"id" => "theme-flexrotator-image2",
					"std" => "",
					"mod" => "min",
					"type" => "upload");

$of_options[] = array( "name" => "Rotator Video II",
					"desc" => "Enter script video. (Please select one of the images or video)",
					"id" => "theme-flexrotator-videoimage2",
					"std" => "",
					"type" => "textarea"); 
										
$of_options[] = array( "name" => "Text for Rotator Image II",
					"desc" => "Enter text for url image.",
					"id" => "theme-flexrotator-textimage2",
					"std" => "",
					"type" => "textarea"); 
					
$of_options[] = array( "name" => "Rotator Image III",
					"desc" => "Upload Image Rotator III(Please select one of the images or video)",
					"id" => "theme-flexrotator-image3",
					"std" => "",
					"mod" => "min",
					"type" => "upload");

$of_options[] = array( "name" => "Rotator Video III",
					"desc" => "Enter script video. (Please select one of the images or video)",
					"id" => "theme-flexrotator-videoimage3",
					"std" => "",
					"type" => "textarea"); 
										
$of_options[] = array( "name" => "Text for Rotator Image III",
					"desc" => "Enter text for url image.",
					"id" => "theme-flexrotator-textimage3",
					"std" => "",
					"type" => "textarea"); 
					
$of_options[] = array( "name" => "Rotator Image IV",
					"desc" => "Upload Image Rotator IV (Please select one of the images or video)",
					"id" => "theme-flexrotator-image4",
					"std" => "",
					"mod" => "min",
					"type" => "upload");

$of_options[] = array( "name" => "Rotator Video IV",
					"desc" => "Enter script video. (Please select one of the images or video)",
					"id" => "theme-flexrotator-videoimage4",
					"std" => "",
					"type" => "textarea"); 
										
$of_options[] = array( "name" => "Text for Rotator Image IV",
					"desc" => "Enter text for url image.",
					"id" => "theme-flexrotator-textimage4",
					"std" => "",
					"type" => "textarea"); 
					
$of_options[] = array( "name" => "Rotator Image V",
					"desc" => "Upload Image Rotator V (Please select one of the images or video)",
					"id" => "theme-flexrotator-image5",
					"std" => "",
					"mod" => "min",
					"type" => "upload");

$of_options[] = array( "name" => "Rotator Video V",
					"desc" => "Enter script video. (Please select one of the images or video)",
					"id" => "theme-flexrotator-videoimage5",
					"std" => "",
					"type" => "textarea"); 
										
$of_options[] = array( "name" => "Text for Rotator Image V",
					"desc" => "Enter text for url image.",
					"id" => "theme-flexrotator-textimage5",
					"std" => "",
					"type" => "textarea"); 		
																		
																			
$of_options[] = array( "name" => "Elastic Slider",
					"type" => "heading"); 
					
$of_options[] = array( 	"name" 		=> "Rotation Time (in mili seconds)",
						"desc" 		=> "Sequence Rotator Rotation Image.<br /> Min: 1000, max: 10000 in mili seconds",
						"id" 		=> "theme-elastic-time",
						"std" 		=> "3000",
						"min" 		=> "1000",
						"step"		=> "1000",
						"max" 		=> "10000",
						"type" 		=> "sliderui");
											
$of_options[] = array( "name" => "Rotator Image I",
					"desc" => "Upload Image Rotator I ",
					"id" => "theme-elastic-image1",
					"std" => "",
					"mod" => "min",
					"type" => "media");
					
$of_options[] = array( "name" => "Title for Rotator Image I",
					"desc" => "Enter text for url image.",
					"id" => "theme-elastic-titleimage1",
					"std" => "",
					"type" => "text");  
										
$of_options[] = array( "name" => "Text for Rotator Image I",
					"desc" => "Enter text for url image.",
					"id" => "theme-elastic-textimage1",
					"std" => "",
					"type" => "text"); 

$of_options[] = array( "name" => "Rotator Image II",
					"desc" => "Upload Image Rotator II ",
					"id" => "theme-elastic-image2",
					"std" => "",
					"mod" => "min",
					"type" => "media");
					
$of_options[] = array( "name" => "Title for Rotator Image II",
					"desc" => "Enter text for url image.",
					"id" => "theme-elastic-titleimage2",
					"std" => "",
					"type" => "text");  
										
$of_options[] = array( "name" => "Text for Rotator Image II",
					"desc" => "Enter text for url image.",
					"id" => "theme-elastic-textimage2",
					"std" => "",
					"type" => "text"); 
					
$of_options[] = array( "name" => "Rotator Image III",
					"desc" => "Upload Image Rotator III ",
					"id" => "theme-elastic-image3",
					"std" => "",
					"mod" => "min",
					"type" => "media");
					
$of_options[] = array( "name" => "Title for Rotator Image III",
					"desc" => "Enter text for url image.",
					"id" => "theme-elastic-titleimage3",
					"std" => "",
					"type" => "text");  
										
$of_options[] = array( "name" => "Text for Rotator Image III",
					"desc" => "Enter text for url image.",
					"id" => "theme-elastic-textimage3",
					"std" => "",
					"type" => "text"); 
					
$of_options[] = array( "name" => "Rotator Image IV",
					"desc" => "Upload Image Rotator I ",
					"id" => "theme-elastic-image4",
					"std" => "",
					"mod" => "min",
					"type" => "media");
					
$of_options[] = array( "name" => "Title for Rotator Image IV",
					"desc" => "Enter text for url image.",
					"id" => "theme-elastic-titleimage4",
					"std" => "",
					"type" => "text");  
										
$of_options[] = array( "name" => "Text for Rotator Image IV",
					"desc" => "Enter text for url image.",
					"id" => "theme-elastic-textimage4",
					"std" => "",
					"type" => "text"); 

$of_options[] = array( "name" => "Sequence Slider",
					"type" => "heading"); 

$of_options[] = array( 	"name" 		=> "Rotation Time (in mili seconds)",
						"desc" 		=> "Sequence Rotator Rotation Image.<br /> Min: 1000, max: 10000 in mili seconds",
						"id" 		=> "theme-sequence-time",
						"std" 		=> "3000",
						"min" 		=> "1000",
						"step"		=> "1000",
						"max" 		=> "10000",
						"type" 		=> "sliderui");
									
$of_options[] = array( "name" => "Sequence background Color",
					"desc" => "Specify background color.",
					"id" => "theme-sequence-color",
					"std" => "#d9d9d9",
					"type" => "color"); 
					
$of_options[] = array( "name" => "Sequence Background Image",
					"desc" => "Upload a image for background",
					"id" => "theme-sequence-bg",
					"std" => get_bloginfo('stylesheet_directory')."/images/bg-sequence.jpg",
					"mod" => "min",
					"type" => "media");  
										
$of_options[] = array( "name" => "Rotator Image I",
					"desc" => "Upload Image Rotator I ",
					"id" => "theme-sequence-image1",
					"std" => "",
					"mod" => "min",					
					"type" => "media"); 
					
$of_options[] = array( "name" => "Title for Rotator Image I",
					"desc" => "Enter text for url image.",
					"id" => "theme-sequence-titleimage1",
					"std" => "",
					"type" => "text");  
										
$of_options[] = array( "name" => "Text for Rotator Image I",
					"desc" => "Enter text for url image.",
					"id" => "theme-sequence-textimage1",
					"std" => "",
					"type" => "text"); 

$of_options[] = array( "name" => "Rotator Image II",
					"desc" => "Upload Image Rotator II ",
					"id" => "theme-sequence-image2",
					"std" => "",
					"mod" => "min",					
					"type" => "media");
					
$of_options[] = array( "name" => "Title for Rotator Image II",
					"desc" => "Enter text for url image.",
					"id" => "theme-sequence-titleimage2",
					"std" => "",
					"type" => "text");  
										
$of_options[] = array( "name" => "Text for Rotator Image II",
					"desc" => "Enter text for url image.",
					"id" => "theme-sequence-textimage2",
					"std" => "",
					"type" => "text"); 
					
$of_options[] = array( "name" => "Rotator Image III",
					"desc" => "Upload Image Rotator III ",
					"id" => "theme-sequence-image3",
					"std" => "",
					"mod" => "min",					
					"type" => "media");
					
$of_options[] = array( "name" => "Title for Rotator Image III",
					"desc" => "Enter text for url image.",
					"id" => "theme-sequence-titleimage3",
					"std" => "",
					"type" => "text");  
										
$of_options[] = array( "name" => "Text for Rotator Image III",
					"desc" => "Enter text for url image.",
					"id" => "theme-sequence-textimage3",
					"std" => "",
					"type" => "text"); 

$of_options[] = array( "name" => "Rotator Image IV",
					"desc" => "Upload Image Rotator IV ",
					"id" => "theme-sequence-image4",
					"std" => "",
					"mod" => "min",					
					"type" => "media");
					
$of_options[] = array( "name" => "Title for Rotator Image IV",
					"desc" => "Enter text for url image.",
					"id" => "theme-sequence-titleimage4",
					"std" => "",
					"type" => "text");  
										
$of_options[] = array( "name" => "Text for Rotator Image IV",
					"desc" => "Enter text for url image.",
					"id" => "theme-sequence-textimage4",
					"std" => "",
					"type" => "text"); 


$of_options[] = array( "name" => "Social Network",

					"type" => "heading"); 

																				

$of_options[] = array( "name" => "Facebook URL",

					"desc" => "Enter link URL.",

					"id" => "theme-facebook",

					"std" => "",

					"type" => "text"); 



$of_options[] = array( "name" => "Youtube URL",

					"desc" => "Enter link URL.",

					"id" => "theme-youtube",

					"std" => "",

					"type" => "text");

										

$of_options[] = array( "name" => "Twitter URL",

					"desc" => "Enter link URL.",

					"id" => "theme-twitter",

					"std" => "",

					"type" => "text"); 



$of_options[] = array( "name" => "Pinterest URL",

					"desc" => "Enter link URL.",

					"id" => "theme-linkedin",

					"std" => "",

					"type" => "text");



$of_options[] = array( "name" => "Google Plus URL",

					"desc" => "Enter link URL.",

					"id" => "theme-google",

					"std" => "",

					"type" => "text");				

					

$of_options[] = array( "name" => "Mobile Option",
					"type" => "heading");
					
$of_options[] = array( "name" => "Disable Responsive Theme",
					"desc" => "If you want to Disable Responsive Theme, check this box.",
					"id" => "theme-checkresponsive",
					"std" => false,
					"type" => "switch");
										
$of_options[] = array( "name" => "Disable Mobile Version",
					"desc" => "If you want to Disable Mobile Version, check this box.",
					"id" => "theme-checkmobile",
					"std" => true,
					"type" => "switch");

$of_options[] = array( "name" => "Custom Logo for Mobile",
					"desc" => "Upload a logo no more than 233px x 41px",
					"id" => "mlogo",
					"std" => "",
					"mod" => "min",
					"type" => "media");
										
$of_options[] = array( "name" => "Background Color",
					"desc" => "Specify background color.",
					"id" => "theme-mobilebackground",
					"std" => "#aaaaaa",
					"type" => "color"); 

$of_options[] = array( "name" => "Background Menu Color",
					"desc" => "Specify background color.",
					"id" => "theme-mobilemenubackground",
					"std" => "#000000",
					"type" => "color"); 
										
$of_options[] = array( "name" => "Include Click To Call Phone Number?",
					"desc" => "Click here to click to call phone number.",
					"id" => "theme-checkphonenumber",
					"std" => false,
					"type" => "switch");

$of_options[] = array( "name" => "Text Before Click To Call Link",
					"desc" => "Enter text in here.",
					"id" => "theme-textphonenumber",
					"std" => "Click To Call:",
					"type" => "text");
										
$of_options[] = array( "name" => "Enter Phone Number Here",
					"desc" => "Enter phone number here.",
					"id" => "theme-phonenumber",
					"std" => "",
					"type" => "text");	
					
$of_options[] = array( "name" => "Include Mobile Map Widget On Homepage?",
					"desc" => "Click here to mobile map on homepage.",
					"id" => "theme-maphomepage",
					"std" => false,
					"type" => "switch");
					
$of_options[] = array( "name" => "Include Mobile Map Widget On Other Mobile Pages?",
					"desc" => "Click here to mobile map on page.",
					"id" => "theme-mappage",
					"std" => false,
					"type" => "switch");						

$of_options[] = array( "name" => "Map address",
					"desc" => "Enter map address here.",
					"id" => "theme-mapaddress",
					"std" => "New York",
					"type" => "text");		
					
																				
// Backup Options
$of_options[] = array( 	"name" 		=> "Backup Options",
						"type" 		=> "heading"
				);
				
$of_options[] = array( 	"name" 		=> "Backup and Restore Options",
						"id" 		=> "of_backup",
						"std" 		=> "",
						"type" 		=> "backup",
						"desc" 		=> 'You can use the two buttons below to backup your current options, and then restore it back at a later time. This is useful if you want to experiment on the options but would like to keep the old settings in case you need it back.',
				);
				
$of_options[] = array( 	"name" 		=> "Transfer Theme Options Data",
						"id" 		=> "of_transfer",
						"std" 		=> "",
						"type" 		=> "transfer",
						"desc" 		=> 'You can tranfer the saved options data between different installs by copying the text inside the text box. To import data from another install, replace the data in the text box with the one from another install and click "Import Options".',
				);



	}

}

?>