<?php

/* Line Shortcodes */

function andre_line() {
   return '<div class="devider"></div>';
}
add_shortcode('divider', 'andre_line');

/* Dropcaps Shortcodes */

function andre_drop_cap( $atts, $content = null ) {
   return '<span class="dropcap">' . do_shortcode($content) . '</span>';
}
add_shortcode('dropcap', 'andre_drop_cap');

/* Separator */

function andre_separator($atts, $content = null) {
	$html = '';
	$html .= '<div class="clear" style="margin-top: '.$atts['top'].'px;"></div>';
	return $html;
}

add_shortcode('separator', 'andre_separator');



/* Message Box */


function andre_messagebox($atts, $content = null) {
   return '<div class="'.$atts['type'].'">' . do_shortcode($content) . '</div>';
}	
	
add_shortcode('messagebox', 'andre_messagebox');

/* Highlight */
	
	function andre_highlight( $atts, $content = null ) {
		extract( shortcode_atts( array(
				'bg' => '#df9',
				'color' => '#000'
				), $atts ) );

		return '<span class="highlight" style="background:' . $bg . ';color:' . $color . '">' . do_shortcode($content) . '</span>';
	}

add_shortcode('highlight', 'andre_highlight');



/* Pullquote */

	function andre_pullquote( $atts, $content = null ) {
		extract( shortcode_atts( array(
				'align' => 'left'
				), $atts ) );

		return '<div class="pullquote_' . $align . '">' . do_shortcode( $content ) . '</div>';
	}

add_shortcode('pullquote', 'andre_pullquote');



/* Youtube shortcode */


	function andre_youtube($atts) {
		$atts = shortcode_atts(
			array(
				'id' => '',
				'width' => 600,
				'height' => 360
			), $atts);

			return '<div style="max-width:'.$atts['width'].'px;max-height:'.$atts['height'].'px;"><div class="video-shortcode"><iframe title="YouTube video player" width="' . $atts['width'] . '" height="' . $atts['height'] . '" src="http://www.youtube.com/embed/' . $atts['id'] . '" frameborder="0" allowfullscreen></iframe></div></div>';
	}
	
add_shortcode('youtube', 'andre_youtube');

/* Vimeo shortcode */


	function andre_vimeo($atts) {
		$atts = shortcode_atts(
			array(
				'id' => '',
				'width' => 600,
				'height' => 360
			), $atts);
		
			return '<div style="max-width:'.$atts['width'].'px;max-height:'.$atts['height'].'px;"><div class="video-shortcode"><iframe src="http://player.vimeo.com/video/' . $atts['id'] . '" width="' . $atts['width'] . '" height="' . $atts['height'] . '" frameborder="0"></iframe></div></div>';
	}
	
add_shortcode('vimeo', 'andre_vimeo');

/* SoundCloud shortcode */



	function andre_soundcloud($atts) {
		$atts = shortcode_atts(
			array(
				'url' => '',
				'width' => '100%',
				'height' => 81,
				'comments' => 'true',
				'auto_play' => 'true',
				'color' => 'ff7700',
			), $atts);
			
			return '<iframe width="'.$atts['width'].'" height="'.$atts['height'].'" scrolling="no" frameborder="no" src="https://w.soundcloud.com/player/?url=' . urlencode($atts['url']) . '&amp;show_comments=' . $atts['comments'] . '&amp;auto_play=' . $atts['auto_play'] . '&amp;color=' . $atts['color'] . '"></iframe>';
	}
	
add_shortcode('soundcloud', 'andre_soundcloud');

/* Block Quote */

	function andre_quote_shortcode( $atts, $content = null ) {
		extract( shortcode_atts( array(
				'style' => 1
				), $atts ) );

		return '<div class="quote quote-style-' . $style . '"><div class="quote-shell">' . do_shortcode( $content ) . '</div></div>';
	}
add_shortcode('blockquote', 'andre_quote_shortcode');


/* List Styles Shortcodes */




function andre_check_list( $atts, $content = null ) {
	extract(shortcode_atts(array(
	'variation'      => '',
    ), $atts));

	$style = ($variation) ? ' class="'.$variation. '_icons"' : '';

	$content = str_replace('<ul>', '<ul class="check_list">', do_shortcode($content));
	$content = str_replace('<li>', '<li' .$style. '>', do_shortcode($content));
	
	return $content;
	
}
add_shortcode('check-list', 'andre_check_list');


function andre_arrow_list( $atts, $content = null ) {
	extract(shortcode_atts(array(
	'variation'      => '',
    ), $atts));
	
	$style = ($variation) ? ' class="'.$variation. '_icons"' : '';
	
	$content = str_replace('<ul>', '<ul class="arrow_list">', do_shortcode($content));
	$content = str_replace('<li>', '<li' .$style. '>', do_shortcode($content));
	
	return $content;
	
}
add_shortcode('arrow-list', 'andre_arrow_list');


function andre_star_list( $atts, $content = null ) {
	extract(shortcode_atts(array(
	'variation'      => '',
    ), $atts));

	$style = ($variation) ? ' class="'.$variation. '_icons"' : '';

	$content = str_replace('<ul>', '<ul class="star_list">', do_shortcode($content));
	$content = str_replace('<li>', '<li' .$style. '>', do_shortcode($content));
	
	return $content;
	
}
add_shortcode('star-list', 'andre_star_list');


function andre_bullet_list( $atts, $content = null ) {
	extract(shortcode_atts(array(
	'variation'      => '',
    ), $atts));
	
	$style = ($variation) ? ' '.$variation. '_color' : '';
	
	$content = str_replace('<ul>', '<ul class="bullet_list' .$style. '">', do_shortcode($content));
	return $content;
	
}
add_shortcode('bullet-list', 'andre_bullet_list');

function andre_circle_list( $atts, $content = null ) {
	extract(shortcode_atts(array(
	'variation'      => '',
    ), $atts));

	$style = ($variation) ? ' class="'.$variation. '_icons"' : '';

	$content = str_replace('<ul>', '<ul class="circle_list">', do_shortcode($content));
	$content = str_replace('<li>', '<li' .$style. '>', do_shortcode($content));
	
	return $content;
	
}
add_shortcode('circle-list', 'andre_circle_list');

/* Button */
function andre_button( $atts, $content = null ) {
	    extract(shortcode_atts(array(
	    'link'  => '#',
	    'size'  => '',
	    'color' => '',
	    ), $atts));
	 
	switch ($size) {
		case 'large' :
			$size = ' large'; break;
		case 'medium' :
			$size = ' medium'; break;
		default :
			$size = ' small';
		break;
	}			
						
	switch ($color) {
		case 'red' :
			$color = ' red'; break;
		case 'green' :
			$color = ' green'; break;
		case 'black' :
			$color = ' black'; break;
		case 'blue' :
			$color = ' blue'; break;		
		case 'white' :
			$color = ' white'; break;				
		case 'brown' :
			$color = ' brown'; break;
		case 'yellow' :
			$color = ' yellow'; break;											
		default :
			$color = ' gray';
		break;
	}	
	 
	    $out = '<a class="button_link' .$color.$size.'" href="' .$link. '"><span>' .do_shortcode($content). '</span></a>';
	 
	    return $out;
	}
add_shortcode('button', 'andre_button');


/* Tabs shortcode */

	function shortcode_tabs( $atts, $content = null ) {
	extract(shortcode_atts(array(
    ), $atts));
    
    $out = '';

    $out .= '<div class="tab-holder shortcode-tabs">';

	$out .= '<div class="tab-hold tabs-wrapper">';
	
	$out .= '<ul id="tabs" class="tabset tabs">';
	foreach ($atts as $key => $tab) {
		$out .= '<li><a href="#' . $key . '">' . $tab . '</a></li>';
	}
	$out .= '</ul>';
	
	$out .= '<div class="tab-box tabs-container">';

	$out .= do_shortcode($content) .'</div></div></div>';
	
	return $out;
}
add_shortcode('tabs', 'shortcode_tabs');

	function shortcode_tab( $atts, $content = null ) {
	extract(shortcode_atts(array(
    ), $atts));
    
	$out = '';
	$out .= '<div id="tab' . $atts['id'] . '" class="tab tab_content">' . do_shortcode($content) .'</div>';
	
	return $out;
}
add_shortcode('tab', 'shortcode_tab');



	
/* Table Shortcodes */
function andre_table( $atts ) {
    extract( shortcode_atts( array(
        'cols' => 'none',
        'data' => 'none',
    ), $atts ) );
    $cols = explode(',',$cols);
    $data = explode(',',$data);
    $total = count($cols);
    $output = '<table><tr class="th">';
    foreach($cols as $col):
        $output .= '<td>'.$col.'</td>';
    endforeach;
    $output .= '</tr><tr>';
    $counter = 1;
    foreach($data as $datum):
        $output .= '<td>'.$datum.'</td>';
        if($counter%$total==0):
            $output .= '</tr>';
        endif;
        $counter++;
    endforeach;
	$output .= '</table>';
    return $output;
}
add_shortcode( 'table', 'andre_table' );
?>