<?php


/* ---------------------------- popular post widget ---------------------------- */

class BestPopulatPost extends WP_Widget {
    /** constructor */
    function BestPopulatPost() {
        parent::WP_Widget(false, $name = 'Popular Post');	
    }

    /** @see WP_Widget::widget */
    function widget($args, $instance) {		
        extract( $args );
        $title = apply_filters('widget_title', $instance['title']);

        ?>
              <?php echo $before_widget; ?>
                  <?php if ( $title )
                        echo $before_title . $title . $after_title; ?>
 
            <ul>        
            <?php query_posts("orderby=comment_count&showposts=4"); while ( have_posts() ) : the_post() ?>           
              <li class="box">
                <?php echo andre_show_thumb50(); ?>
                <h4><a href="<?php the_permalink() ?>"><?php if (strlen($post->post_title) > 35) { echo substr(the_title($before = '', $after = '', FALSE), 0, 35) . '...'; } else {the_title();} ?></a></h4>        
                <div class="meta">
                  <div class="left" style="width:70px;"><?php the_time('M j, Y'); ?></div>
                  <div class="right"><?php the_category(', ') ?> <img src="<?php bloginfo('stylesheet_directory'); ?>/images/comment-icon.png" alt="comment" /> <?php comments_popup_link('0', '1', '%', '',''); ?></div>	
                </div>
                <div class="line"></div>
 	            </li>
            <?php endwhile; ?> 
            <?php wp_reset_query(); ?>	
           
            </ul>
            
               <?php echo $after_widget; ?>
        <?php
    }

    /** @see WP_Widget::update */
    function update($new_instance, $old_instance) {				
	$instance = $old_instance;
	$instance['title'] = strip_tags($new_instance['title']);
        return $instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {				
        $title = esc_attr($instance['title']);
         ?>
            <p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?> <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></label></p>
	    <?php 
    }

} // class BestPopulatPost

add_action('widgets_init', create_function('', 'return register_widget("BestPopulatPost");'));


/* ---------------------------- video post widget ---------------------------- */

class BestVideoPost extends WP_Widget {
    /** constructor */
    function BestVideoPost() {
        parent::WP_Widget(false, $name = 'Popular Category Post');	
    }

    /** @see WP_Widget::widget */
    function widget($args, $instance) {		
        extract( $args );
        $title = apply_filters('widget_title', $instance['title']);
        $cat = apply_filters('widget_title', $instance['cat']);
        ?>
              <?php echo $before_widget; ?>
                  <?php if ( $title )
                        echo $before_title . $title . $after_title; ?>
      <?php //echo $cat; ?>	
        <div class="boxes" >
            <ul id="yourcarousel" class="jcarousel-skin-tango1">
            <?php query_posts("category_name=".$cat."&orderby=comment_count&showposts=1"); while ( have_posts() ) : the_post() ?>           
              <li class="box">
                <div class="cpopular-left"><?php echo andre_show_thumb235(); ?></div>
                <div class="cpopular-right"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/comment-icon.png" alt="comment" /> <?php comments_popup_link('0', '1', '%', '',''); ?></div>
                <div class="clear"></div>
                <h4><a href="<?php the_permalink() ?>"><?php if (strlen($post->post_title) > 35) { echo substr(the_title($before = '', $after = '', FALSE), 0, 35) . '...'; } else {the_title();} ?></a></h4>        
                <div class="meta">
                  <b><?php the_time('G:i'); ?></b> <?php the_time('M j, Y'); ?>
                </div>
                 <div class="line"></div>
 	            </li>
            <?php endwhile; ?> 
            <?php wp_reset_query(); ?>	
           
            </ul>
           <div class="clear"></div>
        </div>
            
               <?php echo $after_widget; ?>
        <?php
    }

    /** @see WP_Widget::update */
    function update($new_instance, $old_instance) {				
	$instance = $old_instance;
	$instance['title'] = strip_tags($new_instance['title']);
	$instance['cat'] = strip_tags($new_instance['cat']);
        return $instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {				
        $title = esc_attr($instance['title']);
        $cat = esc_attr($instance['cat']);
         ?>
          <?php //echo $cat; ?>
            <p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?> <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></label></p>
            <p><label for="<?php echo $this->get_field_id('cat'); ?>"><?php _e('Category:'); ?> 
            

 <select id="<?php echo $this->get_field_id('cat'); ?>" name="<?php echo $this->get_field_name('cat'); ?>" class="widefat">  
 <?php 
  $categories=  get_categories(); 
  foreach ($categories as $category) {
      if($cat==$category->cat_name){
        $option = '<option value="'.$category->cat_name.'"  selected>'; 
      }else{
        $option = '<option value="'.$category->cat_name.'">';
      }
	$option .= $category->cat_name;
	$option .= '</option>';
	echo $option;
  }
 ?>
</select>           
            
            </label></p>

	    <?php 
    }

} // class BestVideoPost

add_action('widgets_init', create_function('', 'return register_widget("BestVideoPost");'));

?>