<?php global $data; ?>
<!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
  <meta charset="<?php bloginfo( 'charset' ); ?>" />
	
<?php if(!$data['theme-checkresponsive']){ ?>
	<!-- Mobile Specific Metas
  ================================================== -->
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
	
	<!--[if lt IE 9]>
		<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->
<?php } ?>  
  
	<?php if (is_search()) { ?>
	   <meta name="robots" content="noindex, nofollow" /> 
	<?php } ?>

	<title>
		   <?php
		      if (function_exists('is_tag') && is_tag()) {
		         single_tag_title("Tag Archive for &quot;"); echo '&quot; - '; }
		      elseif (is_archive()) {
		         wp_title(''); echo ' Archive - '; }
		      elseif (is_search()) {
		         echo 'Search for &quot;'.wp_specialchars($s).'&quot; - '; }
		      elseif (!(is_404()) && (is_single()) || (is_page())) {
		         wp_title(''); echo ' - '; }
		      elseif (is_404()) {
		         echo 'Not Found - '; }
		      if (is_home()) {
		         bloginfo('name'); echo ' - '; bloginfo('description'); }
		      else {
		          bloginfo('name'); }
		      if ($paged>1) {
		         echo ' - page '. $paged; }
		   ?>
	</title>

	<?php if($data['favicon']): ?>
	<link rel="shortcut icon" href="<?php echo $data['favicon']; ?>" type="image/x-icon" />
	<?php endif; ?>	
	<link rel="shortcut icon" href="/favicon.ico" type="image/x-icon" />
	<?php if($data['iphone_icon']): ?>
	<!-- For iPhone -->
	<link rel="apple-touch-icon-precomposed" href="<?php echo $data['iphone_icon']; ?>">
	<?php endif; ?>

	<?php if($data['iphone_icon_retina']): ?>
	<!-- For iPhone 4 Retina display -->
	<link rel="apple-touch-icon-precomposed" sizes="114x114" href="<?php echo $data['iphone_icon_retina']; ?>">
	<?php endif; ?>

	<?php if($data['ipad_icon']): ?>
	<!-- For iPad -->
	<link rel="apple-touch-icon-precomposed" sizes="72x72" href="<?php echo $data['ipad_icon']; ?>">
	<?php endif; ?>

	<?php if($data['ipad_icon_retina']): ?>
	<!-- For iPad Retina display -->
	<link rel="apple-touch-icon-precomposed" sizes="144x144" href="<?php echo $data['ipad_icon_retina']; ?>">
	<?php endif; ?>
	
	
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/bootstrap/css/bootstrap.css" type="text/css" />


    	
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/style.css" type="text/css" />
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/shortcode.css" type="text/css" />
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/jquery.fancybox.css" type="text/css" />
    <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/sequencejs-theme.modern-slide-in.css" type="text/css" />
  
  <link href='http://fonts.googleapis.com/css?family=<?php echo urlencode($data['title_font']); ?>:400,400italic,700,700italic&amp;subset=latin,greek-ext,cyrillic,latin-ext,greek,cyrillic-ext,vietnamese' rel='stylesheet' type='text/css' />
  <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/jquery.bxslider.css" type="text/css" />
<?php include "style.php"; ?>
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/font-awesome/css/font-awesome.min.css">
  <link href="<?php bloginfo('stylesheet_directory'); ?>/css/ticker-style.css" rel="stylesheet" type="text/css" />
    		
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

	<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>

	<?php wp_head(); ?>

	<script>
    jQuery(document).ready(function($) {
			$(".nav-button").click(function () {
			$(".nav-button,.primary-nav").toggleClass("open");
			});    
		});
			
    		$(".gallery-icon a").fancybox();
			$('.fancybox-media')
				.attr('rel', 'media-gallery')
				.fancybox({
					openEffect : 'elastic',
					closeEffect : 'elastic',
					prevEffect : 'none',
					nextEffect : 'none',

					arrows : false,
					helpers : {
						media : {},
						buttons : {}
					}
				});    

		var offset = 220;
		var duration = 500;
		jQuery(window).scroll(function() {
			if (jQuery(this).scrollTop() > offset) {
				jQuery('.back-to-top').fadeIn(duration);
			} else {
				jQuery('.back-to-top').fadeOut(duration);
			}
		});
		
		jQuery('.back-to-top').click(function(event) {
			event.preventDefault();
			jQuery('html, body').animate({scrollTop: 0}, duration);
			return false;
		})

	</script>

		
</head>


<?php global $data; ?>

<body <?php body_class(); ?>>



  <div id="navtop-all">

    <div id="navtop" class="container">

      <div class="left"><div id="topnav"><?php wp_nav_menu( array( 'container_class' => 'menu-header', 'theme_location' => 'topnav' )); ?></div></div>

      <div class="right hidden-xs">

          <div id="header-social">

            <ul>			

                  <?php if($data['theme-google']<>""){ ?><li><a href="<?php echo $data['theme-google']; ?>"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/google-icon.png" alt="Youtube" /></a></li><?php } ?>

                  <?php if($data['theme-linkedin']<>""){ ?><li><a href="<?php echo $data['theme-linkedin']; ?>"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/pinterest-icon.png" alt="Pinterest" /></a></li><?php } ?>

                  <?php if($data['theme-youtube']<>""){ ?><li><a href="<?php echo $data['theme-youtube']; ?>"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/youtube-icon.png" alt="YouTube" /></a></li><?php } ?>

                  <?php if($data['theme-twitter']<>""){ ?><li><a href="<?php echo $data['theme-twitter']; ?>"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/twitter-icon.png" alt="Twitter" /></a></li><?php } ?>

                  <?php if($data['theme-facebook']<>""){ ?><li><a href="<?php echo $data['theme-facebook']; ?>"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/facebook-icon.png" alt="Facebook" /></a></li><?php } ?>

            </ul>	

          </div>

          <div id="header-search">

            <form action="<?php bloginfo('siteurl'); ?>" id="searchform" method="get">

              <div>

                  <input type="text" id="s" name="s" value="Search" onfocus="this.value=(this.value=='Search') ? '' : this.value;" onblur="this.value=(this.value=='') ? 'Search' : this.value;" /> 

                  <input type="submit" src="<?php echo get_template_directory_uri(); ?>/images/search-btn.png" value="Search" id="searchsubmit" />



              </div>

            </form>			

          </div>	

          <div class="clear"></div>							

      </div>	

    </div>

  </div>	

	



  <div id="header-all">

		<div id="header" class="container">

			<div id="logo"><a href="<?php echo get_option('home'); ?>/">

				<?php if($data['logo']<>''){ ?>

					<img src="<?php echo $data['logo']; ?>" alt="Logo" />

				<?php }else{ ?>	

					<img src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="Logo" />

				<?php } ?>	

      </a></div>

      <div class="clear"></div>	

    </div>

  </div>

    

<!-- Start Navigation -->

    <div id="primary-nav-all" class="hidden-xs">

      <div id="primary-nav" class="container">

        <div id="mainnav">


          <?php wp_nav_menu( array( 'container_class' => 'menu-header', 'theme_location' => 'mainmenu', 'menu_class' => 'primary-nav' )); ?>

        </div>  

      </div>

    </div>

<!-- End Navigation -->



<!-- Start Navigation -->

    <div id="category-nav-all" class="hidden-xs">

      <div id="category-nav" class="container">

        <div id="categorynav">

          <?php wp_nav_menu( array( 'container_class' => 'menu-header', 'theme_location' => 'categorymenu' )); ?>

        </div>  

      </div>

    </div>

<!-- End Navigation -->


<div id="mprimary-nav-all" class="visible-xs">
  <div class="container">
    <div id="mprimary-nav" class="row"> 
      <button class="nav-button">Toggle Navigation</button>
      <?php wp_nav_menu( array( 'container_class' => 'primary-nav', 'theme_location' => 'mainmenu' )); ?>		   
    </div>  
  </div>
</div>


	<div id="page-wrap" class="container">