<?php

add_action('init','of_options');

if (!function_exists('of_options')) {
function of_options(){
	
//Access the WordPress Categories via an Array
$of_categories = array();  
$of_categories_obj = get_categories('hide_empty=0');
foreach ($of_categories_obj as $of_cat) {
    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
$categories_tmp = array_unshift($of_categories, "Select a category:");    
       
//Access the WordPress Pages via an Array
$of_pages = array();
$of_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($of_pages_obj as $of_page) {
    $of_pages[$of_page->ID] = $of_page->post_name; }
$of_pages_tmp = array_unshift($of_pages, "Select a page:");       

//Testing 
$my_options_select = array("one","two","three","four","five"); 
$my_options_radio = array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five"); 

//Stylesheets Reader
$alt_stylesheet_path = STYLES;
$alt_stylesheets = array();

if ( is_dir($alt_stylesheet_path) ) {
    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) { 
        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) {
            if(stristr($alt_stylesheet_file, ".css") !== false) {
                $alt_stylesheets[] = $alt_stylesheet_file;
            }
        }    
    }
}

/*-----------------------------------------------------------------------------------*/
/* TO DO: Add options/functions that use these */
/*-----------------------------------------------------------------------------------*/

//More Options
$uploads_arr = wp_upload_dir();
$all_uploads_path = $uploads_arr['path'];
$all_uploads = get_option('of_uploads');
$other_entries = array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
$body_repeat = array("no-repeat","repeat-x","repeat-y","repeat");
$body_pos = array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");

// Image Alignment radio box
$my_options_thumb_align = array("alignleft" => "Left","alignright" => "Right","aligncenter" => "Center"); 

// Image Links to Options
$my_options_image_link_to = array("image" => "The Image","post" => "The Post"); 
$my_options_repeat = array("no-repeat" => "No repeat","repeat" => "Repeat","repeat-x" => "Repeat X","repeat-y" => "Repeat Y");
$my_options_slider = array("slider1.php" => "Right Sidebar","slider2.php" => "Nivo Slider","slider3.php" => "Gallery Slider"); 

/*-----------------------------------------------------------------------------------*/
/* The Options Array */
/*-----------------------------------------------------------------------------------*/

// Set the Options Array
global $my_options;
$my_options = array();

$my_options[] = array( "name" => "General Settings",
                    "type" => "heading");
					
$my_options[] = array( "name" => "Custom Logo",
					"desc" => "Upload a logo for your theme, or specify the image address of your online logo. (http://yoursite.com/logo.png)",
					"id" => "logo",
					"std" => "",
					"type" => "upload");
					

$my_options[] = array( "name" => "Custom Favicon",
					"desc" => "Upload a 16px x 16px Png/Gif image that will represent your website's favicon.",
					"id" => "custom_favicon",
					"std" => "",
					"type" => "upload"); 

$url =  ADMIN . 'images/';					
$my_options[] = array( "name" => "Main Layout",
					"desc" => "Select main content and sidebar alignment. Choose between 2 or 3 column layout.",
					"id" => "layout",
					"std" => "right.css",
					"type" => "images",
					"options" => array(
						'right.css' => $url . '2cr.png',
						'left.css' => $url . '2cl.png')
					);
					
$my_options[] = array( "name" => "Show Comments Post",
					"desc" => "Please check this to show comments and comment form, effects on all posts.",
					"id" => "theme-checkcommentpost",
					"std" => true,
					"type" => "checkbox");
					
$my_options[] = array( "name" => "Show Comments Page",
					"desc" => "Please check this to show comments and comment form, effects on all pages.",
					"id" => "theme-checkcommentpage",
					"std" => false,
					"type" => "checkbox");
					
$my_options[] = array( "name" => "Show Title on Page",
					"desc" => "Please check this to show comments and comment form, effects on all pages.",
					"id" => "theme-checktitlepage",
					"std" => true,
					"type" => "checkbox");
					                                               
$my_options[] = array( "name" => "Tracking Code",
					"desc" => "Paste your Google Analytics (or other) tracking code here. This will be added into the footer template of your theme.",
					"id" => "google_analytics",
					"std" => "",
					"type" => "textarea");        


$my_options[] = array( "name" => "Footer Text",
                    "desc" => "You can use the following shortcodes in your footer text: [wp-link] [theme-link] [loginout-link] [blog-title] [blog-link] [the-year]",
                    "id" => "footer_text",
                    "std" => "&copy 2012 Celeste Theme. All rights reserved.",
                    "type" => "textarea");                                                          
    
$my_options[] = array( "name" => "Styling Options",
					"type" => "heading");

$my_options[] = array( "name" => "Body Font",
					"desc" => "Specify the body font properties",
					"id" => "body_font",
					"std" => array('size' => '12px','face' => 'arial','style' => 'normal','color' => '#8e8e8e'),
					"type" => "typography");  
																						
$my_options[] = array( "name" => "Background Color",
					"desc" => "Specify background color.",
					"id" => "theme-background",
					"std" => "#ffffff",
					"type" => "color"); 

$my_options[] = array( "name" => "Background Image",
					"desc" => "Upload a image for background",
					"id" => "theme-bg",
					"std" => "",
					"type" => "upload");   

$my_options[] = array( "name" => "Backround Image style",
					"desc" => "Style for image background (work if image upload!)",
					"id" => "theme-bgrepeat",
					"std" => "no-repeat",
					"type" => "select2",
					"options" => $my_options_repeat);

$my_options[] = array( "name" => "Navigation Background Color",
					"desc" => "Specify background color.",
					"id" => "theme-nav-background",
					"std" => "#9d9d9d",
					"type" => "color"); 

$my_options[] = array( "name" => "Link Navigation Color",
					"desc" => "Choose your preferred color for the link.",
					"id" => "theme-navlinkcolor",
					"std" => "#ffffff",
					"type" => "color"); 
					
$my_options[] = array( "name" => "Link Navigation Selected Color",
					"desc" => "Choose your preferred color for the hover link.",
					"id" => "theme-navlinkhovercolor",
					"std" => "#333333",
					"type" => "color"); 
						
$my_options[] = array( "name" => "2nd Navigation Background Color",
					"desc" => "Specify background color.",
					"id" => "theme-nav2-background",
					"std" => "#eeeeee",
					"type" => "color"); 

$my_options[] = array( "name" => "2nd Link Navigation Color",
					"desc" => "Choose your preferred color for the link.",
					"id" => "theme-nav2linkcolor",
					"std" => "#000000",
					"type" => "color"); 
					
$my_options[] = array( "name" => "2nd Link Navigation Selected Color",
					"desc" => "Choose your preferred color for the hover link.",
					"id" => "theme-nav2linkhovercolor",
					"std" => "#333333",
					"type" => "color"); 
															
$my_options[] = array( "name" => "Footer Background Color",
					"desc" => "Specify background color.",
					"id" => "theme-footer-background",
					"std" => "#1c1c1c",
					"type" => "color"); 
										
$my_options[] = array( "name" => "Link Color",
					"desc" => "Choose your preferred color for the link.",
					"id" => "theme-linkcolor",
					"std" => "#5a8ea1",
					"type" => "color"); 
					
$my_options[] = array( "name" => "Link Hover Color",
					"desc" => "Choose your preferred color for the hover link.",
					"id" => "theme-linkhovercolor",
					"std" => "#f24024",
					"type" => "color"); 
					
$my_options[] = array( "name" => "Link Color for Title (h1,h2,h3,h4,h5)",
					"desc" => "Choose your preferred color for the link.",
					"id" => "theme-hlinkcolor",
					"std" => "#000000",
					"type" => "color"); 
					
$my_options[] = array( "name" => "Link Hover Color for Title (h1,h2,h3,h4,h5)",
					"desc" => "Choose your preferred color for the hover link.",
					"id" => "theme-hlinkhovercolor",
					"std" => "#3b70d9",
					"type" => "color"); 
										
$my_options[] = array( "name" => "Custom CSS",
                    "desc" => "Quickly add some CSS to your theme by adding it to this block.",
                    "id" => "custom_css",
                    "std" => "",
                    "type" => "textarea");

$my_options[] = array( "name" => "Homepage Option",
					"type" => "heading"); 

$my_options[] = array( "name" => "Use News slider",
					"desc" => "Checked if use slider.",
					"id" => "cele-check-newsslider",
					"std" => true,
					"type" => "checkbox"); 

$my_options[] = array( "name" => "Select a News Slider Category",
					"desc" => "A list of all the categories being used on slider bottom.",
					"id" => "cele-newsslider",
					"std" => "Select a category:",
					"type" => "select",
					"options" => $of_categories);
					
					
$my_options[] = array( "name" => "Use image slider",
					"desc" => "Checked if use slider.",
					"id" => "cele-rotator",
					"std" => true,
					"type" => "checkbox"); 

$my_options[] = array( "name" => "Select Slider",
					"desc" => "Slider select box.",
					"id" => "cele-slider",
					"std" => "slider1.php",
					"type" => "select2",
					"options" => $my_options_slider);
					
$my_options[] = array( "name" => "Use Slider Bottom",
					"desc" => "Checked if use slider.",
					"id" => "cele-check-sliderbottom",
					"std" => true,
					"type" => "checkbox"); 
					
$my_options[] = array( "name" => "Title for Slider Bottom",
					"desc" => "Enter text for title.",
					"id" => "cele-title-sliderbottom",
					"std" => "Best Materials",
					"type" => "text");

$my_options[] = array( "name" => "Select a Slider Bottom Category",
					"desc" => "A list of all the categories being used on slider bottom.",
					"id" => "cele-sliderbottom",
					"std" => "Select a category:",
					"type" => "select",
					"options" => $of_categories);
										
$my_options[] = array( "name" => "Title for Footer Widget",
					"desc" => "Enter text for title.",
					"id" => "cele-title-footerwidget",
					"std" => "Celeste Theme",
					"type" => "textarea");
															
$my_options[] = array( "name" => "Right Slider",
					"type" => "heading");


$my_options[] = array( "name" => "Title for Right Slider",
					"desc" => "Enter text for title.",
					"id" => "cele-rightslider-title",
					"std" => "Established fact that a reader be distracted by the <span class='black'readable content</span> of a page on the site",
					"type" => "text"); 
										
$my_options[] = array( "name" => "URL for Right Slider",
					"desc" => "URL link for right slider.",
					"id" => "cele-rightslider-url",
					"std" => "",
					"type" => "text"); 
					
$my_options[] = array( "name" => "Text",
					"desc" => "Enter text for right Slider.",
					"id" => "cele-rightslider-info",
					"std" => "There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words. Passage of Lorem Ipsum in the middle of text. All the Lorem Ipsum generators on the...",
					"type" => "textarea");
					
$my_options[] = array( "name" => "Right Sidebar Image I (310px x 225px)",
					"desc" => "Upload Right Sidebar Image I",
					"id" => "cele-rightslider-image1",
					"std" => "",
					"type" => "upload");	

$my_options[] = array( "name" => "Right Sidebar Image II (310px x 225px)",
					"desc" => "Upload Right Sidebar Image II",
					"id" => "cele-rightslider-image2",
					"std" => "",
					"type" => "upload");	
					
$my_options[] = array( "name" => "Right Sidebar Image III (310px x 225px)",
					"desc" => "Upload Right Sidebar Image III",
					"id" => "cele-rightslider-image3",
					"std" => "",
					"type" => "upload");	
					
$my_options[] = array( "name" => "Right Sidebar Image IV (310px x 225px)",
					"desc" => "Upload Right Sidebar Image IV",
					"id" => "cele-rightslider-image4",
					"std" => "",
					"type" => "upload");																

$my_options[] = array( "name" => "Right Sidebar Image V (310px x 225px)",
					"desc" => "Upload Right Sidebar Image V",
					"id" => "cele-rightslider-image5",
					"std" => "",
					"type" => "upload");	
					
$my_options[] = array( "name" => "Nuvo Slider",
					"type" => "heading"); 	  					  

$my_options[] = array( "name" => "Rotator Image I  (610px x 290px)",
					"desc" => "Upload Image Rotator I",
					"id" => "cele-nuvo-image1",
					"std" => "",
					"type" => "upload");
					
$my_options[] = array( "name" => "Text I",
					"desc" => "Enter text for image rotator.",
					"id" => "cele-nuvo-info1",
					"std" => "",
					"type" => "textarea");
					
$my_options[] = array( "name" => "Rotator Image II  (610px x 290px)",
					"desc" => "Upload Image Rotator II",
					"id" => "cele-nuvo-image2",
					"std" => "",
					"type" => "upload");
					
$my_options[] = array( "name" => "Text II",
					"desc" => "Enter text for image rotator.",
					"id" => "cele-nuvo-info2",
					"std" => "",
					"type" => "textarea");
					
$my_options[] = array( "name" => "Rotator Image III  (610px x 290px)",
					"desc" => "Upload Image Rotator III",
					"id" => "cele-nuvo-image3",
					"std" => "",
					"type" => "upload");
					
$my_options[] = array( "name" => "Text III",
					"desc" => "Enter text for image rotator.",
					"id" => "cele-nuvo-info3",
					"std" => "",
					"type" => "textarea");
																					
$my_options[] = array( "name" => "Rotator Image IV  (610px x 290px)",
					"desc" => "Upload Image Rotator IV",
					"id" => "cele-nuvo-image4",
					"std" => "",
					"type" => "upload");
					
$my_options[] = array( "name" => "Text IV",
					"desc" => "Enter text for image rotator.",
					"id" => "cele-nuvo-info4",
					"std" => "",
					"type" => "textarea");
																			
$my_options[] = array( "name" => "Rotator Image V  (610px x 290px)",
					"desc" => "Upload Image Rotator V",
					"id" => "cele-nuvo-image5",
					"std" => "",
					"type" => "upload");																				
					
$my_options[] = array( "name" => "Text V",
					"desc" => "Enter text for image rotator.",
					"id" => "cele-nuvo-info5",
					"std" => "",
					"type" => "textarea");


$my_options[] = array( "name" => "Gallery Slider",
					"type" => "heading"); 

$my_options[] = array( "name" => "Rotator Image 1  (610px x 290px)",
					"desc" => "Upload Image Rotator 1",
					"id" => "cele-gallery1",
					"std" => "",
					"type" => "upload");

$my_options[] = array( "name" => "Rotator Image 2  (610px x 290px)",
					"desc" => "Upload Image Rotator 2",
					"id" => "cele-gallery2",
					"std" => "",
					"type" => "upload");
					
$my_options[] = array( "name" => "Rotator Image 3  (610px x 290px)",
					"desc" => "Upload Image Rotator 3",
					"id" => "cele-gallery3",
					"std" => "",
					"type" => "upload");
					
$my_options[] = array( "name" => "Rotator Image 4 (610px x 290px)",
					"desc" => "Upload Image Rotator 4",
					"id" => "cele-gallery4",
					"std" => "",
					"type" => "upload");
					
$my_options[] = array( "name" => "Rotator Image 5  (610px x 290px)",
					"desc" => "Upload Image Rotator 5",
					"id" => "cele-gallery5",
					"std" => "",
					"type" => "upload");
					
$my_options[] = array( "name" => "Rotator Image 6  (610px x 290px)",
					"desc" => "Upload Image Rotator 6",
					"id" => "cele-gallery6",
					"std" => "",
					"type" => "upload");
					
$my_options[] = array( "name" => "Rotator Image 7  (610px x 290px)",
					"desc" => "Upload Image Rotator 7",
					"id" => "cele-gallery7",
					"std" => "",
					"type" => "upload");
					
$my_options[] = array( "name" => "Rotator Image 8  (610px x 290px)",
					"desc" => "Upload Image Rotator 8",
					"id" => "cele-gallery8",
					"std" => "",
					"type" => "upload");
					
$my_options[] = array( "name" => "Rotator Image 9  (610px x 290px)",
					"desc" => "Upload Image Rotator 9",
					"id" => "cele-gallery9",
					"std" => "",
					"type" => "upload");
					
$my_options[] = array( "name" => "Rotator Image 10  (610px x 290px)",
					"desc" => "Upload Image Rotator 10",
					"id" => "cele-gallery10",
					"std" => "",
					"type" => "upload");
					
$my_options[] = array( "name" => "Rotator Image 11  (610px x 290px)",
					"desc" => "Upload Image Rotator 11",
					"id" => "cele-gallery11",
					"std" => "",
					"type" => "upload");																																																												

$my_options[] = array( "name" => "Rotator Image 12  (610px x 290px)",
					"desc" => "Upload Image Rotator 12",
					"id" => "cele-gallery12",
					"std" => "",
					"type" => "upload");
																																																		


$my_options[] = array( "name" => "Social Network",
					"type" => "heading"); 
																				
$my_options[] = array( "name" => "Facebook URL",
					"desc" => "Enter link URL.",
					"id" => "theme-facebook",
					"std" => "",
					"type" => "text"); 

$my_options[] = array( "name" => "Youtube URL",
					"desc" => "Enter link URL.",
					"id" => "theme-youtube",
					"std" => "",
					"type" => "text");
										
$my_options[] = array( "name" => "Twitter URL",
					"desc" => "Enter link URL.",
					"id" => "theme-twitter",
					"std" => "",
					"type" => "text"); 

$my_options[] = array( "name" => "Pinterest URL",
					"desc" => "Enter link URL.",
					"id" => "theme-linkedin",
					"std" => "",
					"type" => "text");

$my_options[] = array( "name" => "Google Plus URL",
					"desc" => "Enter link URL.",
					"id" => "theme-google",
					"std" => "",
					"type" => "text");				
					
$my_options[] = array( "name" => "Mobile Option",
					"type" => "heading");
					
$my_options[] = array( "name" => "Disable Mobile Version",
					"desc" => "If you want to Disable Mobile Version, check this box.",
					"id" => "theme-checkmobile",
					"std" => false,
					"type" => "checkbox");

$my_options[] = array( "name" => "Custom Logo for Mobile",
					"desc" => "Upload a logo no more than 233px x 41px",
					"id" => "mlogo",
					"std" => "",
					"type" => "upload");
										
$my_options[] = array( "name" => "Background Color",
					"desc" => "Specify background color.",
					"id" => "theme-mobilebackground",
					"std" => "#aaaaaa",
					"type" => "color"); 

$my_options[] = array( "name" => "Background Menu Color",
					"desc" => "Specify background color.",
					"id" => "theme-mobilemenubackground",
					"std" => "#000000",
					"type" => "color"); 
										
$my_options[] = array( "name" => "Include Click To Call Phone Number?",
					"desc" => "Click here to click to call phone number.",
					"id" => "theme-checkphonenumber",
					"std" => false,
					"type" => "checkbox");

$my_options[] = array( "name" => "Text Before Click To Call Link",
					"desc" => "Enter text in here.",
					"id" => "theme-textphonenumber",
					"std" => "Click To Call:",
					"type" => "text");
										
$my_options[] = array( "name" => "Enter Phone Number Here",
					"desc" => "Enter phone number here.",
					"id" => "theme-phonenumber",
					"std" => "",
					"type" => "text");	
					
$my_options[] = array( "name" => "Include Mobile Map Widget On Homepage?",
					"desc" => "Click here to mobile map on homepage.",
					"id" => "theme-maphomepage",
					"std" => false,
					"type" => "checkbox");
					
$my_options[] = array( "name" => "Include Mobile Map Widget On Other Mobile Pages?",
					"desc" => "Click here to mobile map on page.",
					"id" => "theme-mappage",
					"std" => false,
					"type" => "checkbox");						

$my_options[] = array( "name" => "Map address",
					"desc" => "Enter map address here.",
					"id" => "theme-mapaddress",
					"std" => "New York",
					"type" => "text");		
	}
}
?>
